#
# spec file for package t1lib (Version 1.3.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           t1lib
BuildRequires:  xorg-x11-devel
License:        LGPL v2 or later
Group:          System/Libraries
AutoReqProv:    on
Version:        1.3.1
Release:        608
Url:            http://www.neuroinformatik.ruhr-uni-bochum.de/ini/PEOPLE/rmz/t1lib/t1lib.html
# in future only from: ftp://sunsite.unc.edu/pub/Linux/libs/graphics/t1lib-1.1.1.tar.gz
Source0:        ftp://ftp.neuroinformatik.ruhr-uni-bochum.de/pub/software/t1lib/t1lib-%{version}.tar.bz2
Patch0:         t1lib-1.3.1-auto.patch
Patch1:         t1lib-1.3.1-tetex.patch
Patch2:         t1lib-1.3.1-CVE-2007-4033.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Adobe Type 1 Font Rasterizing Library

%description
T1lib is a library for generating character and string glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X
Window System rasterizer donated by IBM to the X Window System project.
Some disadvantages of the rasterizer included in the X Window System
have been eliminated.



Authors:
--------
    Rainer Menzner <Rainer.Menzner@neuroinformatik.ruhr-uni-bochum.de>

%debug_package
%package      -n t1lib-devel
Summary:        Development Libraries for T1lib
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description  -n t1lib-devel
This package provides the t1lib development environment (static
libraries, header files, and more).



Authors:
--------
    Rainer Menzner <Rainer.Menzner@neuroinformatik.ruhr-uni-bochum.de>

%prep
%setup0 -q -n t1lib-%{version}
%patch0 -p1 -b .auto
%patch1
%patch2

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
	    --libdir=%{_libdir} \
            %{_target_cpu}-suse-linux-gnu
make without_doc

%install
make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/%{_libdir} install
rm -f $RPM_BUILD_ROOT/usr/share/t1lib/doc/t1lib_doc*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
%doc Changes LGPL LICENSE README* 
%doc doc/t1lib_doc.pdf
%doc doc/t1_data.eps
%attr(755, root, root) %{_libdir}/libt1.so.*
%attr(755, root, root) %{_libdir}/libt1x.so.*
%dir %config /usr/share/t1lib
%config /usr/share/t1lib/t1lib.config
/usr/bin/type1afm
/usr/bin/xglyph

%files -n t1lib-devel
%defattr(-, root, root)
%{_libdir}/libt1.so
%{_libdir}/libt1.la
%{_libdir}/libt1.a
%{_libdir}/libt1x.so
%{_libdir}/libt1x.la
%{_libdir}/libt1x.a
/usr/include/t1lib.h
/usr/include/t1libx.h
%changelog
* Mon Oct 01 2007 - crrodriguez@suse.de
- fix [Bug 326687] VUL-0: t1lib buffer overflow
* Wed Aug 16 2006 - aj@suse.de
- Replace xorg-x11-devel BuildRequires with really needed libs.
* Fri Jun 16 2006 - schwab@suse.de
- Handle reference to datarootdir variable.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 14 2005 - ro@suse.de
- fix build with current tetex
- remove tetex from neededforbuild and use prebuilt docu
  to break cycle between tetex and t1lib
* Thu Feb 10 2005 - ro@suse.de
- added libpng to neededforbuild (for tetex)
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Fri Jun 13 2003 - kukuk@suse.de
- Add missing directory to filelist
* Fri May 16 2003 - mfabian@suse.de
- remove stuff from buildroot which is not in the file list.
- add execute permissions to shared libraries.
* Sat Aug 10 2002 - mfabian@suse.de
- t1lib-devel should require t1lib
* Mon Jun 17 2002 - meissner@suse.de
- rerun auto* tools so we support newer platforms.
* Tue May 21 2002 - freitag@suse.de
- update to t1lib-1.3.1
* Thu Jan 31 2002 - mfabian@suse.de
- use %%{_libdir}
* Sat Aug 11 2001 - mfabian@suse.de
- update to t1lib-1.1.1
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Fri Feb 16 2001 - mfabian@suse.de
- new package: t1lib version 1.1.0
